import Vue from 'vue'
import App from './App.vue'
import router from './router'
import Element from 'element-ui'
import './assets/styles/element-variables.scss'
import axios from "axios";
import './assets/icon/iconfont.css'
import store from './store'

import * as echarts from 'echarts';//引入echarts
Vue.prototype.$echarts = echarts //引入组件


import { ElementTiptapPlugin } from 'element-tiptap';
// 引入 ElementUI 样式
// import 'element-ui/lib/theme-chalk/index.css';
// import element-tiptap 样式
import 'element-tiptap/lib/index.css';
Vue.use(ElementTiptapPlugin, {
    /* 插件配置项 */
    lang: 'zh',
});

axios.defaults.withCredentials=true;
import cookie from 'vue-cookie'
Vue.prototype.$cookie = cookie;

Vue.config.productionTip = false
Vue.use(Element);

import 'xe-utils'
import VXETable from 'vxe-table'
import 'vxe-table/lib/style.css'
Vue.use(VXETable)
Vue.prototype.$VXETable = VXETable

new Vue({
    router,
    axios,
    store,
    cookie,
    render: h => h(App),
}).$mount('#app')
